### Signal

# Gtk IconView::move-cursor

#### Declaration

    gboolean
    move_cursor (
      GtkIconView* self,
      GtkMovementStep* step,
      gint count,
      gboolean extend,
      gboolean modify,
      gpointer user_data
    )

#### Description [src]

The ::move-cursor signal is a keybinding signal which gets emitted when the user initiates a cursor movement.

Applications should not connect to it, but may emit it with `g_signal_emit_by_name()` if they need to control the cursor programmatically.

The default bindings for this signal include - Arrow keys which move by individual steps - Home/End keys which move to the first/last item - PageUp/PageDown which move by “pages” All of these will extend the selection when combined with the Shift modifier.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`step`

  Type: `GtkMovementStep`

  The granularity of the move, as a `GtkMovementStep`

  The data is owned by the caller of the function.

`count`

  Type: `gint`

  The number of `step` units to move.

`extend`

  Type: `gboolean`

  Whether to extend the selection.

`modify`

  Type: `gboolean`

  Whether to modify the selection.

#### Return value

Type: `gboolean`

No description available.